import request from '@/utils/request'

//中间顶部指标
export function statisticsTotal(query) {
    return request({
        url: '/bigData/deposit/statistics/total',
        method: 'get',
        params: query
    })
}

//服务组织名录（中间底部）
export function getOrganizationList(query) {
    return request({
        url: '/bigData/deposit/getOrganizationList',
        method: 'get',
        params: query
    })
}

//大托管概况统计（左上）
export function statisticsGeneral(query) {
    return request({
        url: '/bigData/deposit/statistics/general',
        method: 'get',
        params: query
    })
}

//大托管绩效统计（右上）
export function statisticsPerformance(query) {
    return request({
        url: '/bigData/deposit/statistics/performance',
        method: 'get',
        params: query
    })
}

//大托管推进阶段（左中）
export function getDepositPeriodData(query) {
    return request({
        url: '/bigData/deposit/getDepositPeriodData',
        method: 'get',
        params: query
    })
}
// 大托管执行情况（左下）
export function getImplementation(query) {
    return request({
        url: '/bigData/deposit/getImplementation',
        method: 'get',
        params: query
    })
}
// 托管作物年度变化趋势（右中）
export function getAnnualCropYield(query) {
    return request({
        url: '/bigData/deposit/getAnnualCropYield',
        method: 'get',
        params: query
    })
}


// 托管收入年度变化趋势（右下）
export function getAnnualDepositRevenue(query) {
    return request({
        url: '/bigData/deposit/getAnnualDepositRevenue',
        method: 'get',
        params: query
    })
}

// 托管中心详情
export function getDepositCenterDetail(query) {
  return request({
    url: '/bigData/deposit/getDepositCenterDetail',
    method: 'get',
    params: query
  })
}

// 服务详情
export function selectServiceDetail(query) {
  return request({
    url: '/bigData/deposit/getServiceDetail',
    method: 'get',
    params: query
  })
}

// 获取种植作物
export function getCropType() {
  return request({
    url: '/bigData/deposit/getCropType',
    method: 'get'
  })
}
